# -*- coding: utf-8 -*-

try:
    from urllib.request import urlopen
except ImportError:
    from urllib2 import urlopen


import sys, re, os
import xbmc, xbmcplugin, xbmcaddon, xbmcgui

__scriptname__ = 'crickethdNET'
__scriptID__ = 'plugin.video.crickethd.net'
__author__ = 'crickethd.net'
__url__ = 'http://crickethd.net/api'
__credits__ = 'crickethd.net'
__addon__ = xbmcaddon.Addon(__scriptID__)
__language__ = __addon__.getLocalizedString
t = __language__

BASE_RESOURCE_PATH = os.path.join( __addon__.getAddonInfo('path'), 'resources' )
sys.path.append( os.path.join( BASE_RESOURCE_PATH, 'lib' ) )

import main

if main.login != '' and main.password != '':
    MENU = {1: [ '[COLOR green]>>> My [B]Active Packages[/B] <<<[/COLOR]', '1.png', 300, False, False ], 2: [ 'HD Archives / Highlights', '1.png', 900, False, False ], 3: [ t(56100).encode('utf-8'), 'settings.png', 200, False, False ]}
else:
    MENU = {1: [ t(56100).encode('utf-8'), 'settings.png', 200, False, False ]}

class Start:
    def __init__(self):
        self.showListOptions()
    
    def addDir(self, name, mode, icon, autoplay, isPlayable = True):
        u = '%s?mode=%d' % (sys.argv[0], mode)
        icon = os.path.join( __addon__.getAddonInfo('path'), 'images/' ) + icon
        if autoplay or icon == '':
            icon = 'DefaultVideo.png'
        liz = xbmcgui.ListItem(name)
        liz.setArt({'icon': icon, 'thumb': icon})
        if autoplay and isPlayable:
            liz.setProperty('IsPlayable', 'true')
        liz.setInfo( type = 'Video', infoLabels = { 'Title': name } )
        xbmcplugin.addDirectoryItem(handle = int(sys.argv[1]), url = u, listitem = liz, isFolder = True)
    
    def showListOptions(self):
        handler = main.Handler()
        parser = main.UrlParser()
        params = parser.getParams()
        mode = parser.getIntParam(params, 'mode')
        s = main.Settings()
        if mode == None or mode == '':
            s.setViewMode('general')
            for n, v in MENU.items():
                self.addDir(v[0], v[2], v[1], v[3], v[4])
            xbmcplugin.endOfDirectory(int(sys.argv[1]))
        elif mode == 1:
            handler.run(1)
            s.setViewMode('other')
        elif mode == 2:
            handler.run(2)
            s.setViewMode('other')
        elif mode == 3:
            handler.run(3)
            s.setViewMode('other')
        elif mode == 4:
            handler.run(4)
            s.setViewMode('other')
        elif mode == 5:
            handler.run(5)
            s.setViewMode('other')
        elif mode == 7:
            s.setViewMode('general')
            ip = main.InitPlayer()
            ip = ip.checkVersion()
            msg = main.Messages()
            if ip['status'] == 2:
                msg.Warning(t(57023).encode('utf-8'), t(57049).encode('utf-8'))
            elif ip['status'] == 3:
                msg.Warning(t(57023).encode('utf-8'), t(57050).encode('utf-8'), t(57048).encode('utf-8'))
            elif ip['status'] == 4:
                msg.Warning(t(57023).encode('utf-8'), t(57051).encode('utf-8'), t(57048).encode('utf-8'))
            elif ip['status'] == 5:
                msg.Warning(t(57023).encode('utf-8'), t(57052).encode('utf-8'), t(57048).encode('utf-8'))
            else:
                msg.Warning(t(57023).encode('utf-8'), t(57053).encode('utf-8'), t(57054).encode('utf-8'))
        elif mode == 200:
            s.setViewMode('general')
            s.showSettings()
        elif mode == 300:
            handler.run(300)
            s.setViewMode('other')
        elif mode == 900:
            handler.run(900)
            s.setViewMode('other')
        elif mode == 400:
            handler.run(400)
            s.setViewMode('other')
init = Start()
